# eric4.Globals.__init__

Module defining common data to be used by all modules.

### Global Attributes

recentNameFiles
recentNameMultiProject
recentNameProject
settingsNameGlobal
settingsNameOrganization
settingsNameRecent

### Classes

None

### Functions

isLinuxPlatform | Function to check, if this is a Linux platform.
isMacPlatform | Function to check, if this is a Mac platform.
isWindowsPlatform | Function to check, if this is a Windows platform.

## isLinuxPlatform

isLinuxPlatform()

Function to check, if this is a Linux platform.

Returns:
  flag indicating Linux platform (boolean)

Up

## isMacPlatform

isMacPlatform()

Function to check, if this is a Mac platform.

Returns:
  flag indicating Mac platform (boolean)

Up

## isWindowsPlatform

isWindowsPlatform()

Function to check, if this is a Windows platform.

Returns:
  flag indicating Windows platform (boolean)

Up